Name:           logserial
Version:        0.4.2 
Release:        4%{?dist}
Summary:        Package for logging incoming bytes on asynchronous serial ports

Group:          Applications/Communications
License:        GPL
URL:            http://www.ibiblio.org/pub/Linux/system/serial/logserial-0.4.2.lsm
Source0:        http://www.ibiblio.org/pub/Linux/system/serial/logserial-0.4.2.tar.gz
Patch0:         logserial-makefile.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
Package for logging incoming bytes on asynchronous serial ports.
It was written for loging calls on our telephone central, but
you can use it for any devices connected to serial ports. From
version 0.4 it can be used to send data through serial line.

%prep
%setup -q
%patch -p0


%build
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
install -p -D -m 755 %{name} $RPM_BUILD_ROOT%{_bindir}/%{name}


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc CHANGELOG README
%{_bindir}/%{name}




%changelog
* Tue Nov 14 2006 lonely wolf <wolfy@pcnet.ro> 0.4.2-4
- remove some debugging lines from the spec. No effect on generated binaries

* Mon Nov 13 2006 lonely wolf <wolfy@pcnet.ro> 0.4.2-3
- corrected the patch to make use of $RPM_OPT_FLAGS

* Sun Nov 12 2006 lonely wolf <wolfy@pcnet.ro> 0.4.2-2
- Modify the Makefile to make use of $RPM_OPT_FLAGS

* Mon Nov 07 2006 lonely wolf <wolfy@pcnet.ro> 0.4.2-1
- Initial Fedora package
